Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.search.highlight
Class DefaultEncoder

    java.lang.Object
      org.apache.lucene.search.highlight.DefaultEncoder

All Implemented Interfaces:
  Encoder

    public class DefaultEncoder

extends Object
implements Encoder

Simple `Encoder` implementation that does not modify the output

Constructor Summary
`DefaultEncoder()`

Method Summary
`String` | `encodeText(String originalText)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultEncoder

    public DefaultEncoder()

Method Detail

### encodeText

    public String encodeText(String originalText)

  Specified by:
    `encodeText` in interface `Encoder`
  Parameters:
    `originalText` - The section of text being output

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD